Package twisted :: Package web :: Module proxy :: Class ProxyRequest

[frames | no frames]

## Class ProxyRequest

    Request --+
              |
             ProxyRequest

Used by Proxy to implement a simple web proxy.

Method Summary
| ``process`(self)` Override in subclasses.
Inherited from Request
| ``__init__`(self, channel, queued)`
| ``__repr__`(self)`
| ``_authorize`(self)`
| ``_cleanup`(self)` Called when have finished responding and are no longer queued.
| ``_sendError`(self, code, resp)`
| ``addCookie`(self, k, v, expires, domain, path, max_age, comment, secure)` Set an outgoing HTTP cookie.
| ``connectionLost`(self, reason)` connection was lost
| ``finish`(self)` We are finished writing data.
| ``getAllHeaders`(self)` Return dictionary of all headers the request received.
| ``getClient`(self)`
| ``getClientIP`(self)`
| ``getCookie`(self, key)` Get a cookie that was sent from the network.
| ``getHeader`(self, key)` Get a header that was sent from the network.
| ``getHost`(self)` Get my originally requesting transport's host.
| ``getPassword`(self)`
| ``getRequestHostname`(self)` Get the hostname that the user passed in to the request.
| ``getUser`(self)`
| ``gotLength`(self, length)` Called when HTTP channel got length of content in this request.
| ``handleContentChunk`(self, data)` Write a chunk of data.
| ``isSecure`(self)`
| ``noLongerQueued`(self)` Notify the object that it is no longer queued.
| ``parseCookies`(self)` Parse cookie headers.
| ``redirect`(self, url)` Utility function that does a redirect.
| ``registerProducer`(self, producer, streaming)` Register a producer.
| ``requestReceived`(self, command, path, version)` Called by channel when all data has been received.
| ``setETag`(self, etag)` Set an entity tag for the outgoing response.
| ``setHeader`(self, k, v)` Set an outgoing HTTP header.
| ``setHost`(self, host, port, ssl)` Change the host and port the request thinks it's using.
| ``setLastModified`(self, when)` Set the Last-Modified time for the response to this request.
| ``setResponseCode`(self, code, message)` Set the HTTP response code.
| ``unregisterProducer`(self)` Unregister the producer.
| ``write`(self, data)` Write some data as a result of an HTTP request.

Instance Variable Summary
Inherited from Request
A mapping of strings (the argument names) to lists of values. i.e., ?foo=bar&foo=baz&quux=spam results in {'foo': ['bar', 'baz'], 'quux': ['spam']}. | `args`: All of the arguments, including URL and POST arguments.
`str` | `method`: The HTTP method that was used.
| `path`: The path only (arguments not included).
| `received_headers`: All received headers
`str` | `uri`: The full URI that was requested (includes arguments).

Class Variable Summary
`dict` | `ports` = `{'http': 80}`
`dict` | `protocols` = `{'http': <class twisted.web.proxy.ProxyClien...`
Inherited from Request
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.ICo...`
`int` | `_forceSSL` = 0
`int` | `chunked` = 0
`str` | `clientproto` = `'(no clientproto yet)'`
`int` | `code` = 200
`str` | `code_message` = `'OK'`
`NoneType` | `etag` = None
`int` | `finished` = 0
`NoneType` | `lastModified` = None
`NoneType` | `producer` = None
`int` | `sentLength` = 0
`int` | `startedWriting` = 0

Method Details

### process(self)

Override in subclasses.

This method is not intended for users.

  Overrides:
    `twisted.protocols.http.Request.process` (inherited documentation)

Class Variable Details

### ports

  Type:
    `dict`
  Value:

        {'http': 80}

### protocols

  Type:
    `dict`
  Value:

        {'http': <class twisted.web.proxy.ProxyClientFactory at 0x8c7cad4>}

Generated by Epydoc 2.0 on Sat May 15 20:08:31 2004 | http://epydoc.sf.net